'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildSrcSet = buildSrcSet;
exports.blurPlaceholder = blurPlaceholder;
function buildSrcSet(img) {
  var sources = img.sources || img;
  var widths = Object.keys(sources);

  return widths.map(function (width) {
    if (width === 'default') {
      return sources[width];
    }

    return sources[width] + ' ' + width;
  }).join(',');
}

function blurPlaceholder(img, toBase64) {
  var placeholder = img.placeholder || img;
  var ratio = placeholder.ratio;

  var svg = '\n<svg \n  xmlns:xlink="http://www.w3.org/1999/xlink"\n  xmlns="http://www.w3.org/2000/svg" \n  viewBox="0 0 ' + 10 * ratio + ' 10"\n>\n  <filter id="x">\n    <feGaussianBlur stdDeviation="1" />\n  </filter>\n  <image\n    width="100%" \n    height="100%"  \n    xlink:href="' + placeholder.url + '" \n    filter="url(#x)"\n  />\n</svg>\n  ';

  return 'data:image/svg+xml;base64,' + (toBase64 || btoa)(svg); // eslint-disable-line no-undef
}