'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseQuery = parseQuery;
exports.resizeImage = resizeImage;

var _loaderUtils = require('loader-utils');

var _loaderUtils2 = _interopRequireDefault(_loaderUtils);

var _sharp = require('sharp');

var _sharp2 = _interopRequireDefault(_sharp);

var _imageSize = require('image-size');

var _imageSize2 = _interopRequireDefault(_imageSize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function parseQuery(query) {
  if (!query) {
    return {};
  }

  if (typeof query === 'string') {
    return _loaderUtils2.default.parseQuery(query);
  }

  return query;
}

function resizeImage(content, width, height) {
  var source = (0, _imageSize2.default)(content);

  // dont scale up images, let the browser do that
  // and btw. wtf stop trying to fool me :P
  if (source.width < width) {
    return Promise.resolve(content);
  }

  return (0, _sharp2.default)(content).resize(width, height).toBuffer();
}